## This Sagemath program creates two files: 'fplot.txt' and 'nodes.txt'.
## These files can be used in a LaTeX file with TikZ package.

def mylinspace(a, b, npoints):
   return [a + (b - a) * 1.0 * j / (npoints - 1) for j in range(npoints)]

def savefunvalues(fname, fun, xvector):
   s = ''.join(['(%.1f, %.2f)\n' % (x, fun(x)) for x in xvector])
   with open(fname, 'w') as myfile:
      myfile.write(s)

def f1(x):
   return x * x - 4 * x + 1

savefunvalues('parabola1.txt', f1, mylinspace(-0.5, 4.5, 51))

